(function(){
	// implement: create customized checkboxs for menubar items display
	window.addEventListener("load", function(event) {
		window.removeEventListener("load", arguments.callee, false);
		// on checkbox clicked, control the display of menubar items
		var menubox = document.getElementById("menubar-menus-checkbox-container").firstChild;
		menubox.setVisibility = function(id, checked) {
			var menu = gToolboxDocument.getElementById(id);
			if (checked) menu.removeAttribute("invisible");
			else menu.setAttribute("invisible", true);
			gToolboxDocument.persist(id, "invisible");
		}
		// on restore button clicked, display all menubar items
		var resetbtn = document.getElementsByAttribute("icon", "revert")[0];
		resetbtn.resetAll = function() {
			for (var i=0; i<menubox.childNodes.length; i++) {
				var menu = menubox.childNodes[i];
				menubox.setVisibility(menu.id, menu.checked = true);
			}
		}
		resetbtn.setAttribute("oncommand", "this.resetAll();"+resetbtn.getAttribute("oncommand"));
		// create all checkboxs on menubar-menus-checkbox-container
		var menubar = gToolboxDocument.getElementById("menubar-items").firstChild;
		for (var i=0; i<menubar.childNodes.length; i++) {
			var menu = menubar.childNodes[i];
			if (menu.localName != "menu") continue;
			var cbox = document.createElement("checkbox");
			cbox.id = menu.id;
			cbox.setAttribute("label", menu.label);
			cbox.setAttribute("checked", (menu.getAttribute("invisible") != "true"));
			cbox.setAttribute("oncommand", "this.parentNode.setVisibility(this.id, this.checked);");
			menubox.appendChild(cbox);
		}
	}, false);
})();
